Download Logs From Elk Index

Download Logs From Elk Index

Use this endpoint to download elastic search logs
Authorized Roles : PROVIDER

Request
URI
POST
https://{api_host}/provider/elasticsearch/download
COPY
Request Body
TimestampDto of type(s) application/json
Required
{
    "fromDate": "string",
    "toDate": "string"
}
string
fromDate
Required

fromDate

string
toDate
Required

toDate

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProviderLogBundleDTO of type(s) application/vnd.vmware.dms-v1+json
{
    "id": "string",
    "createdTime": "string",
    "logBundlePath": "string",
    "isLogDownloaded": false,
    "links": [
        {
            "rel": "string",
            "href": "string",
            "hreflang": "string",
            "media": "string",
            "title": "string",
            "type": "string",
            "deprecation": "string",
            "profile": "string",
            "name": "string"
        }
    ]
}
string As uuid As uuid
id
Required

id

string As date-time As date-time
createdTime
Required

createdTime

string
logBundlePath
Required

logBundlePath

boolean
isLogDownloaded
Required

isLogDownloaded

array of Link
links
Optional

links


400

Bad Request

Operation doesn't return any data structure